// This is the width and height of the meter
// be sure and make the dimensions here slightly 
// larger than the meter, at least 0.9mm larger
// is recommended
meter_width = 46.5; 
meter_height = 26.9;  
$fn = 33;
thickness = 3.3;

make_base = false;
make_mount = false;

height = 37.85;

border_dim = 6;

wall_thickness = 1.8;

base_thickness = 2;

outer_width = meter_width + border_dim *2;
outer_height =  meter_height + border_dim*2;

mounting_tab_width = 11.25;

mounting_screw_dia = 4.99;
mounting_screw_radius = mounting_screw_dia/2.0;

rail_gap = 4.5;

module glue_rail(){
    translate([0,rail_gap,0]){
        color("red") cube([wall_thickness, outer_height - rail_gap*2, wall_thickness]);
    }
}

if (make_mount) {
union() {
difference() {
cube([outer_width,outer_height, thickness]);
    translate([border_dim, border_dim, -1]){
        cube([meter_width, meter_height, thickness + 2]);
    }
}

translate([0,0,-1 * height]){
    cube([wall_thickness, outer_height, height]);    
}

translate([outer_width - wall_thickness,0,-1 * height]){
    cube([wall_thickness, outer_height, height]);    
}

difference(){
union(){
    translate([0,outer_height - wall_thickness,-1 *height]){
        cube([outer_width, wall_thickness, height]);
    }

    translate([0,0,-1 *height]){
        cube([outer_width, wall_thickness, height]);
    }
}
translate([outer_width/2,-1,-1 *height]){
    rotate([-90,0,0]){
       cylinder(h = outer_height*2, r = (outer_width - wall_thickness *2.2)/2, $fn = 14);
    }
}
}

}
}


if (make_base) {

union(){
translate([-1 * mounting_tab_width,0,-1 * height - 2]){
    difference(){
        union(){
            cube([outer_width + 2 *mounting_tab_width, outer_height, base_thickness]);
            translate([mounting_tab_width,0,base_thickness]){
                
                translate([-1 * wall_thickness,0,0]){
                    glue_rail();
                }
                translate([wall_thickness + 0.05,0,0]){
                    glue_rail();
                }
                translate([outer_width,0,0]){                    
                    glue_rail();
                }
                translate([outer_width - 2*wall_thickness - 0.05,0,0]){                    
                    glue_rail();
                }
            }
        }
        union(){
            translate([0,outer_height/2,-1]){
                translate([mounting_tab_width/2.0,0,0]){
                    cylinder(r = mounting_screw_radius, h = base_thickness + 2);
                }
                
                translate([outer_width + (3/2 * mounting_tab_width),0,0]){
                    cylinder(r = mounting_screw_radius, h = base_thickness + 2);
                }
            }
        }
    }
}
}
}